DNSTAP(1)

NAME
dnstap - dnstap tool

SYNOPSIS
dnstap [OPTION]...

DESCRIPTION

-T value

    write dnstap payloads to tcp/ip address

-U value

    write dnstap payloads to unix socket

-a  append to the given file, do not overwrite. valid only when outputting a text or YAML file.

-j  use verbose JSON output

-l value

    read dnstap payloads from tcp/ip

-q  use quiet text output

-r value

    read dnstap payloads from file

-t duration

    I/O timeout for tcp/ip and unix domain sockets

-u value

    read dnstap payloads from unix socket

-w string

    write output to file

-y  use verbose YAML output

  Quiet text output format mnemonics:

    AQ: AUTH_QUERY AR: AUTH_RESPONSE RQ: RESOLVER_QUERY RR: RESOLVER_RESPONSE CQ: CLIENT_QUERY CR: CLIENT_RESPONSE FQ: FORWARDER_QUERY FR: FORWARDER_RESPONSE SQ: STUB_QUERY SR: STUB_RESPONSE TQ: TOOL_QUERY TR: TOOL_RESPONSE